TrainingProject URLs

Bulk Delete Training URLs

Remove multiple URLs at once. **Permission required:** Training > Write

Remove multiple URLs at once.

Permission required: Training > Write

POST
/bulkDeleteProjectUrl

Authorization

bearerToken

AuthorizationBearer <token>

API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.

In: header

Request Body

application/json

project_uid*string

Project identifier.

ids*string

Comma-separated URL IDs to delete.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.yourgpt.ai/chatbot/v1/bulkDeleteProjectUrl" \  -H "Content-Type: application/json" \  -d '{    "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",    "ids": "1,2,3"  }'
{
  "type": "RXSUCCESS",
  "message": "Data Deleted Successfully!"
}
{
  "type": "RXERROR",
  "message": "Some id don't have projectUrl"
}
{
  "type": "RXERROR",
  "message": "Invalid or expired API token"
}